package com.ruoyi.interfaces.domain;

import java.io.Serializable;
import java.util.Date;

/**
* entity:PtApproval
*
* @author weking
* @date 2019-8-16
*/
public class PtApproval implements Serializable {

    private String id;

    private String applyUnit;

    private String srvName;

    private String srvId;

    private String status;

    private String opinion;

    private String approvalerId;

    private String approvalerName;

    private Date tm;

    public String getId() { return id;}
    public void setId(String id) { this.id = id;}

    public String getApplyUnit() { return applyUnit;}
    public void setApplyUnit(String applyUnit) { this.applyUnit = applyUnit;}

    public String getSrvName() { return srvName;}
    public void setSrvName(String srvName) { this.srvName = srvName;}

    public String getSrvId() { return srvId;}
    public void setSrvId(String srvId) { this.srvId = srvId;}

    public String getStatus() { return status;}
    public void setStatus(String status) { this.status = status;}

    public String getOpinion() { return opinion;}
    public void setOpinion(String opinion) { this.opinion = opinion;}

    public String getApprovalerId() { return approvalerId;}
    public void setApprovalerId(String approvalerId) { this.approvalerId = approvalerId;}

    public String getApprovalerName() { return approvalerName;}
    public void setApprovalerName(String approvalerName) { this.approvalerName = approvalerName;}

    public Date getTm() { return tm;}
    public void setTm(Date tm) { this.tm = tm;}


    @Override
    public String toString() {
        return "PtApproval [" +
                "id=" +  id  +
                ", applyUnit=" +  applyUnit  +
                ", srvName=" +  srvName  +
                ", srvId=" +  srvId  +
                ", status=" +  status  +
                ", opinion=" +  opinion  +
                ", approvalerId=" +  approvalerId  +
                ", approvalerName=" +  approvalerName  +
                ", tm=" +  tm  +
                "]";
    }
}
